org.bdgenomics.adam.cli

# Vcf2ADAM

###
Related Docs: object Vcf2ADAM | package cli

#### class Vcf2ADAM extends BDGSparkCommand[Vcf2ADAMArgs] with DictionaryCommand with Logging

Linear Supertypes
DictionaryCommand, BDGSparkCommand[Vcf2ADAMArgs], Logging, BDGCommand, Runnable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Vcf2ADAM
2. DictionaryCommand
3. BDGSparkCommand
4. Logging
5. BDGCommand
6. Runnable
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new Vcf2ADAM(args: Vcf2ADAMArgs)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val args: Vcf2ADAMArgs

   Definition Classes
     Vcf2ADAM → BDGSparkCommand

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### val companion: Vcf2ADAM.type

   Definition Classes
     Vcf2ADAM → BDGCommand

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

13. #### def initializeMetrics(sc: SparkContext): Option[MetricsListener]

    Definition Classes
      BDGSparkCommand

14. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

15. #### def isTraceEnabled(): Boolean

    Attributes
      protected
    Definition Classes
      Logging

16. #### def loadSequenceDictionary(file: File): Option[SequenceDictionary]

    Definition Classes
      DictionaryCommand

17. #### def log: Logger

    Attributes
      protected
    Definition Classes
      Logging

18. #### def logDebug(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

19. #### def logDebug(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

20. #### def logError(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

21. #### def logError(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

22. #### def logInfo(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

23. #### def logInfo(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

24. #### def logName: String

    Attributes
      protected
    Definition Classes
      Logging

25. #### def logTrace(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

26. #### def logTrace(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

27. #### def logWarning(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

28. #### def logWarning(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

29. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

30. #### final def notify(): Unit

    Definition Classes
      AnyRef

31. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

32. #### def printMetrics(totalTime: Long, metricsListener: Option[MetricsListener]): Unit

    Definition Classes
      BDGSparkCommand

33. #### def run(sc: SparkContext): Unit

    Definition Classes
      Vcf2ADAM → BDGSparkCommand

34. #### def run(): Unit

    Definition Classes
      BDGSparkCommand → Runnable

35. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

36. #### def toString(): String

    Definition Classes
      AnyRef → Any

37. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

38. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

39. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from DictionaryCommand

### Inherited from BDGSparkCommand[Vcf2ADAMArgs]

### Inherited from Logging

### Inherited from BDGCommand

### Inherited from Runnable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped